
void setup() {
 size(1080, 680, P3D);
 if (frame!=null) frame.setResizable(true);
 frameRate(20);

 cam = new PeasyCam( this,0,0,0,650);
 cam.setMinimumDistance(200);
 cam.setMaximumDistance(2400);
 
 background(WHITE);

 
 table = new Table();
 
 for(int yr=0; yr<fileNames.length; yr++) {
   
   table = loadTable(fileNames[yr], "header");
   nRow = table.getRowCount();
   nCol = table.getColumnCount();
   if(V) println("nR " + nRow + " nC " + nCol);
   //now we should have a 10(dclass) * 12(month) grid for year 20xx
   
   if(V) println("$$$$ $$$$ YEAR " + yr);
   for(int mnth=0; mnth<nCol; mnth++) {
     for(int dc=0; dc<nRow; dc++) {
       int gint = table.getInt(dc, mnth);
       sum += gint;
       if(gint > max) max = gint;
       buff = new DDecimal( ddNames[dc], gint, dc );
       unorg[dc] = buff;  
     } 
     sortThis(unorg);
     avg = sum/sizeofall;
   
     if(V) println("#### #### MONTH " + mnth);  
     for(int dc=0; dc<nRow; dc++) {
       instance[yr][mnth][dc] = unorg[dc];
       if(V) instance[yr][mnth][dc].printSelf();
     } 
     if(V) println("#### #### END DEWCOLS");
   }
   if(V) println("$$$$ $$$$ END ALL MONTHS");
 
 }
 
 println("MAX " + max + " SUM " + sum + " AVG " + avg );  
}


