import peasy.test.*;
import peasy.org.apache.commons.math.*;
import peasy.*;
import peasy.org.apache.commons.math.geometry.*;

PeasyCam cam;

Table table;
PFont font = createFont("Helvetica", 10, true);
PFont fontXL = createFont("Helvetica", 20, true);
Boolean V = false;

boolean dc0 = true;
boolean dc1 = true;
boolean dc2 = true;
boolean dc3 = true;
boolean dc4 = true;
boolean dc5 = true;
boolean dc6 = true;
boolean dc7 = true;
boolean dc8 = true;
boolean dc9 = true;
boolean singleSize = false;
boolean nightMode = false;
int activeYear= -1;

int nRow, nCol;

String [] fileNames = { "month_cout_2007_by_dewey_190-199_books.csv",
                        "month_cout_2008_by_dewey_190-199_books.csv",
                        "month_cout_2009_by_dewey_190-199_books.csv",
                        "month_cout_2010_by_dewey_190-199_books.csv",
                        "month_cout_2011_by_dewey_190-199_books.csv",
                        "month_cout_2012_by_dewey_190-199_books.csv" };
String [] years = { "2007", "2008", "2009", "2010", "2011", "2012" };
int numYears = years.length;

String [] ddNames = { "Modern Western & other noneastern philosophy",
 "Philosophy of the United States and Canada",
 "Philosophy of the British Isles",
 "Philosophy of Germany and Austria",
 "Philosophy of France",
 "Philosophy of Italy",
 "Philosophy of Spain and Portugal",
 "Philosophy of Russia",
 "Philosophy of Scandinavia & Finland",
 "Philosophy in other geographic areas" };
int numCat = ddNames.length;
                                  
String [] months = { "January", "February", "March", "April", "May", "June", "July", "August", "Spetember", "October", "November", "December" };
int numMonths = months.length;
  
color [] colorArray = { color(248,215,83),
                        color(179,200,217),
                        color(255,173,136),
                        color(122,101,62),
                        color(230,165,164),
                        color(116,121,111),
                        color(246,2,137),
                        color(196,56,79),
                        color(0,72,140),
                        color(163,204,75) };

char [] pressYr = { 'q','w','e','r','t','y','a' };
char [] pressOpt = {'s','d'};
                           

// holds rank # in instance[year][month][deweyclass]           
DDecimal[][][] instance = new DDecimal[6][12][10];

DDecimal[] unorg = new DDecimal[10];
DDecimal buff;
int max=0;
int sum=0;
int avg;
int sizeofall = 12*6*10;

public int WHITE = 242;
public int BLACK = 42;
public int GREY = 123;
int dot = 5;
int pad = dot*2;
int gutter = pad*2;


public class DDecimal {
 public String name;
 public int nCouts;
 public Boolean selected;
 public int cat;

 DDecimal(String s, int v, int c) {
  this.name = s;
  this.nCouts = v;
  this.cat = c;
  this.selected = true;
 } 
 
 DDecimal(DDecimal dna) {
  this.name = dna.name;
  this.nCouts = dna.nCouts;
  this.cat = dna.cat;
  this.selected = dna.selected; 
 }
 
 void printSelf() {
   println("NAME: " + this.name + " CHeckOUts " + this.nCouts);
 }
  
}
